> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# Update webhook

PATCH https://api.mailchimp.com/3.0/lists/{list_id}/webhooks/{webhook_id}
Content-Type: application/json

Update the settings for an existing webhook.

Reference: https://mailchimp.com/developer/marketing/api/lists/update-webhook

## Authentication

- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth

## Request

### Path parameters

- `list_id` (string, required) — The unique ID for the list.
- `webhook_id` (string, required) — The webhook's id.

### Body (application/json)

This endpoint expects an AddWebhook.

- `events` (AddWebhookEvents, optional) — The events that can trigger the webhook and whether they are enabled.
- `sources` (AddWebhookSources, optional) — The possible sources of any events that can trigger the webhook and whether they are enabled.
- `url` (string, optional) — A valid URL for the Webhook.

## Response

### 200

- `_links` (list of ListWebhooksLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `events` (ListWebhooksEvents, optional) — The events that can trigger the webhook and whether they are enabled.
- `id` (string, optional) — An string that uniquely identifies this webhook.
- `list_id` (string, optional) — The unique id for the list.
- `signing_enabled` (boolean, optional) — Whether outbound deliveries are HMAC-signed.
- `sources` (ListWebhooksSources, optional) — The possible sources of any events that can trigger the webhook and whether they are enabled.
- `url` (string, optional) — A valid URL for the Webhook.

## Types

### AddWebhookEvents

The events that can trigger the webhook and whether they are enabled.

- `campaign` (boolean, optional) — Whether the webhook is triggered when a campaign is sent or cancelled.
- `cleaned` (boolean, optional) — Whether the webhook is triggered when a subscriber's email address is cleaned from the list.
- `profile` (boolean, optional) — Whether the webhook is triggered when a contact's profile is updated. This includes email subscribers and SMS-only contacts [BETA].
- `subscribe` (boolean, optional) — Whether the webhook is triggered when a list subscriber is added.
- `unsubscribe` (boolean, optional) — Whether the webhook is triggered when a list member unsubscribes.
- `upemail` (boolean, optional) — Whether the webhook is triggered when a subscriber's email address is changed.
- `sms_subscribe` (boolean, optional) — [BETA] Whether the webhook is triggered when a contact subscribes to SMS.
- `sms_unsubscribe` (boolean, optional) — [BETA] Whether the webhook is triggered when a contact unsubscribes from SMS.
- `upsms` (boolean, optional) — [BETA] Whether the webhook is triggered when a contact's SMS phone number is updated.
- `sms_campaign` (boolean, optional) — [BETA] Whether the webhook is triggered when an SMS campaign is sent.

### AddWebhookSources

The possible sources of any events that can trigger the webhook and whether they are enabled.

- `admin` (boolean, optional) — Whether the webhook is triggered by admin-initiated actions in the web interface.
- `api` (boolean, optional) — Whether the webhook is triggered by actions initiated via the API.
- `user` (boolean, optional) — Whether the webhook is triggered by subscriber-initiated actions.

### ListWebhooksLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### ListWebhooksEvents

The events that can trigger the webhook and whether they are enabled.

- `campaign` (boolean, optional) — Whether the webhook is triggered when a campaign is sent or cancelled.
- `cleaned` (boolean, optional) — Whether the webhook is triggered when a subscriber's email address is cleaned from the list.
- `profile` (boolean, optional) — Whether the webhook is triggered when a contact's profile is updated. This includes email subscribers and SMS-only contacts [BETA].
- `subscribe` (boolean, optional) — Whether the webhook is triggered when a list subscriber is added.
- `unsubscribe` (boolean, optional) — Whether the webhook is triggered when a list member unsubscribes.
- `upemail` (boolean, optional) — Whether the webhook is triggered when a subscriber's email address is changed.
- `sms_subscribe` (boolean, optional) — [BETA] Whether the webhook is triggered when a contact subscribes to SMS.
- `sms_unsubscribe` (boolean, optional) — [BETA] Whether the webhook is triggered when a contact unsubscribes from SMS.
- `upsms` (boolean, optional) — [BETA] Whether the webhook is triggered when a contact's SMS phone number is updated.
- `sms_campaign` (boolean, optional) — [BETA] Whether the webhook is triggered when an SMS campaign is sent.

### ListWebhooksSources

The possible sources of any events that can trigger the webhook and whether they are enabled.

- `admin` (boolean, optional) — Whether the webhook is triggered by admin-initiated actions in the web interface.
- `api` (boolean, optional) — Whether the webhook is triggered by actions initiated via the API.
- `user` (boolean, optional) — Whether the webhook is triggered by subscriber-initiated actions.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "_links": [
    {
      "href": "string",
      "method": "GET",
      "rel": "string",
      "schema": "string",
      "targetSchema": "string"
    }
  ],
  "events": {
    "campaign": true,
    "cleaned": true,
    "profile": true,
    "subscribe": true,
    "unsubscribe": true,
    "upemail": true,
    "sms_subscribe": true,
    "sms_unsubscribe": true,
    "upsms": true,
    "sms_campaign": true
  },
  "id": "5d9a5e3f7b",
  "list_id": "4ca5becb8d",
  "signing_enabled": true,
  "sources": {
    "admin": true,
    "api": true,
    "user": true
  },
  "url": "http://yourdomain.com/webhook"
}
```

**SDK Code**

```python
import requests

url = "https://api.mailchimp.com/3.0/lists/list_id/webhooks/webhook_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mailchimp.com/3.0/lists/list_id/webhooks/webhook_id';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mailchimp.com/3.0/lists/list_id/webhooks/webhook_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mailchimp.com/3.0/lists/list_id/webhooks/webhook_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.mailchimp.com/3.0/lists/list_id/webhooks/webhook_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.mailchimp.com/3.0/lists/list_id/webhooks/webhook_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mailchimp.com/3.0/lists/list_id/webhooks/webhook_id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/lists/list_id/webhooks/webhook_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```